## meep-openmpi 1.17.1

=== doc/requirements.txt ===
mkdocs==1.1.2
python-markdown-math
mkdocs-material

## meep-openmpi 1.1.1

=== debian/changelog ===
meep-openmpi (1.1.1-10) unstable; urgency=low

  * Configure with --with-gcc-arch=no to generate generic code.
    (Closes: #735369)
  * debian/control: remove DM-Upload-Allowed
  * debian/copyright: fix lintian warning about duplicate field

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 21 Jan 2014 18:20:00 +0100

meep-openmpi (1.1.1-9~deb7u1) wheezy; urgency=low

  * upload to wheezy; Closes: #711766 in stable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 27 Nov 2013 17:00:00 +0100

meep-openmpi (1.1.1-9) unstable; urgency=low

  * debian/rules: mv /usr/include/meep-openmpi to /usr/include/meep
                  (Closes: #711766)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Jun 2013 11:00:00 +0200

meep-openmpi (1.1.1-8) unstable; urgency=low

  * debian/control: depend on debhelper >=8
  * debian/control: dependency on dpatch removed
  * debian/control: standards version changed to 3.9.2 (no changes)
  * debian/rules: build-arch and build-indep according to lintian
                  recommendation added
  * debian/rules: dpatch targets removed
  * debian/README.source: changed from dpatch to quilt
  * debian/source/format: 3.0 (quilt)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Dec 2011 18:00:00 +0100

meep-openmpi (1.1.1-7) unstable; urgency=low

  * Version 1.1.1-6 was linked against libltdl3 which is no longer
    available. This resulted in an unsatisfiable Depends on i386.
    Any other architecture had no problems during building.
  * Further libatlas3gf-sse2 (needed due to dependency on libharminv-dev)
    is no longer available.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Sep 2010 18:00:00 +0200

meep-openmpi (1.1.1-6) unstable; urgency=low

  * debian/rules: remove rpath with chrpath
  * debian/control: dependencies on chrpath added
  * as version 1.1.1-5 has been rejected, the bug (Closes: #590391)
    has to be closed again

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Aug 2010 18:00:00 +0200

meep-openmpi (1.1.1-5) unstable; urgency=low

  * debian/control: tighten dependencies (Closes: #590391)
                    due to changed dependencies of dependent packages, this
                    package has to depend on libatlas-base-dev now
  * debian/control: standards version changed to 3.9.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Aug 2010 14:00:00 +0200

meep-openmpi (1.1.1-4) unstable; urgency=low

  * this is a spin-off from package meep-mpi
    As requested by users, this is a version with openmpi libraries. 
    (Closes: #491581)
  * debian/rules: dpatch activated again
  * patch in configure to build meep-openmpi instead of meep-mpi
  * debian/control: removed field "priority" from meep-openmpi (Lintian Info)
  * debian/control: add conflict for other meep-dev-libs
  * debian/control: standards version changed to 3.8.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 29 Jan 2010 19:00:00 +0100

meep (1.1.1-3) unstable; urgency=low

  * debian/rules: change configure script to produce meep-mpi paths
                  everywhere (closes: #551822)
  * debian/control: DM-Upload-Allowed added

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 29 Oct 2009 18:00:00 +0200

meep (1.1.1-2) unstable; urgency=low

  * debian/control: conflicts added for old libmeep versions
    (closes: #548298, #548300)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 25 Sep 2009 19:00:00 +0200

meep (1.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #526352, #530868, #543431)
  * debian/rules: dpatch deactivated again, patches are included in upstream
  * debian/rules: added upstream file ChangeLog to package (pedantic lintian)
  * debian/control: Standards-Version changed to 3.8.3
  * debian/*.symbols*: Maintaining symbols files for these internal libraries 
    does not appear to be a good idea at present as arch- and optimisation-
    dependent symbols tend to slip in. So turning off generation of symbols 
    files has a side-effec of fixing the build failures on armel, mips and 
    mipsel. (also closes: #537813)
  * upstream changed soname from 2 to 6
  * added lintian overrides (see comments in override file):
    - no-symbols-control-file

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 31 Aug 2009 18:00:00 +0200

meep (0.20.3-3) unstable; urgency=low

  * adding modified symbols files (Closes: #520185)
    - for arch alpha, hppa, powerpc, s390, sparc
  * added ldconfig in postinst and postrm for libmeep2 and libmeep-mpi2
    to meet requirements of policy 8.1.1
  * debian/control: Standards-Version changed to 3.8.1
  * debian/control: depending on libctl-dev >=3.0.3-3 in order to use guile-1.8
  * added non empty file meep-enums.scm

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Apr 2009 19:45:00 +0200

meep (0.20.3-2) unstable; urgency=low

  * removed lintian warnings
    - debian/control more detailed extended description
    - debian/copyright changed License:-tag to correct value GPL-2+
    - adding minimal symbols file for libmeep2 and libmeep-mpi2
    - adding modified symbols files for arch amd64
  * applied patch for FTBFS with gcc4.4 (Closes: #505002)
  * debian/rules dpatch activated again

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Feb 2009 19:30:00 +0100

meep (0.20.3-1) unstable; urgency=low

  * New upstream release (Closes: #491516, #491593, #491889)
  * New maintainer (Closes: #481042)
  * debian/control: Standards-Version changed to 3.8.0
  * debian/control: Homepage: added
  * debian/control: Build-Depends: changed to new name of libraries
  * debian/control: meep 0.20 now depends on libctl 3.0.3
  * soname of libraries increased to 2 by upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Jul 2008 18:30:00 +0100

meep (0.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add include to fix FTBFS on gcc4.3, closes: 455289
  * Transition to gortran, closes: 468877
  * make package binNMUable.



=== debian/control ===
Source: meep-openmpi
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran, debhelper (>= 8), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libhdf5-openmpi-dev, libgsl0-dev, liblapack-dev, libopenmpi-dev, libatlas-base-dev, chrpath
Standards-Version: 3.9.2
Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep

Package: meep-openmpi
Architecture: any
Depends: ${shlibs:Depends}, openmpi-bin, ${misc:Depends}
Description: software package for FDTD simulation, parallel (OpenMPI) version
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting the MPI standard.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the MPI version of the software.
 As opposed to meep-mpi this package also contains the OpenMPI version of 
 libhdf5. 

Package: libmeep-openmpi6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for using parallel (OpenMPI) version of meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting the MPI standard.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the MPI version of the library.

Package: libmeep-openmpi-dev
Section: libdevel
Architecture: any
Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev
Depends: libmeep-openmpi6 (= ${binary:Version}), ${misc:Depends}
Description: development library for using parallel (OpenMPI) version of meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting the MPI standard.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains some files for developing software linked to MPI.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

package = meep-openmpi
soname = 6
lm = lib$(package)$(soname)
lmd = lib$(package)-dev

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl3 \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes

configure: configure-stamp-openmpi

configure-stamp-openmpi: 
	dh_testdir
	mkdir -p debian/build-openmpi
	cat configure | \
		sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-openmpi'/g" |\
		sed "s/PACKAGE='meep'/PACKAGE='meep-openmpi'/g" > configure-openmpi
	chmod 755 configure-openmpi
	cd debian/build-openmpi && \
	F77=gfortran ../../configure-openmpi $(CONFIGURE_FLAGS) 
	rm -f configure-openmpi
	touch configure-stamp-openmpi

build: build-arch build-indep
build-arch: build-stamp-openmpi
build-indep: build-stamp-openmpi

build-stamp-openmpi: configure-stamp-openmpi 
	dh_testdir
	$(MAKE) -C debian/build-openmpi/
	touch build-stamp-openmpi

clean:
	dh_testdir
	dh_testroot
	-rm -rf debian/build-openmpi
	dh_clean configure-stamp* build-stamp* install-stamp*

install: install-openmpi
        # Lintian overrides
	set -e; \
	cd debian ; \
	for i in *.lintian ; do \
	  [ -r "$$i" ] && { \
	    mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
	  } ;\
	done

install-openmpi: build-stamp-openmpi
	dh_testdir
	dh_testroot
	mkdir -p debian/build-openmpi/tmpinst
	$(MAKE) -C debian/build-openmpi/ install prefix=$(CURDIR)/debian/build-openmpi/tmpinst/usr
	/usr/bin/chrpath -d debian/build-openmpi/tmpinst/usr/lib/libmeep_openmpi.so
	/usr/bin/chrpath -d debian/build-openmpi/tmpinst/usr/bin/meep-openmpi
	mv debian/build-openmpi/tmpinst/usr/include/meep-openmpi debian/build-openmpi/tmpinst/usr/include/meep
	dh_install -pmeep-openmpi -p$(lm) -p$(lmd) \
                --sourcedir=debian/build-openmpi/tmpinst

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot 
	dh_installdocs
	dh_installman
	dh_installman -pmeep-openmpi debian/meep-openmpi.1
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip 
	dh_compress
	dh_fixperms 
	dh_makeshlibs -p$(lm)
	dh_installdeb
	dh_shlibdeps -pmeep-openmpi
	dh_shlibdeps -p$(lm)
	dh_gencontrol
	dh_md5sums
	dh_builddeb -pmeep-openmpi -p$(lm) -p$(lmd)

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure install-openmpi

## meep-openmpi 1.2.1

=== debian/changelog ===
meep-openmpi (1.2.1-2) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout. (Closes: #756683)
    (patch by Gilles Filippini <pini@debian.org>)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 03 Aug 2014 14:30:00 +0200

meep-openmpi (1.2.1-1) unstable; urgency=medium

  * new upstream version
  * soname changed to 7
  * debian/rules: upstream ChangeLog is now called NEWS
  * debian/control: Standards Version to 3.9.5. (No changes needed).
  * debian/control: switch to dh 9
  * debian/control: use guile 2.0 now
  * debian/rules: use debhelper
  * debian/rules: use --with autoreconf (Closes: #744464)
  * debian/copyright: adapt years

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 May 2014 11:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,21 @@
 Section: science
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: gfortran, debhelper (>= 8), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libhdf5-openmpi-dev, libgsl0-dev, liblapack-dev, libopenmpi-dev, libatlas-base-dev, chrpath
-Standards-Version: 3.9.2
+Build-Depends: gfortran, 
+  debhelper (>= 9), 
+  autotools-dev, 
+  dh-autoreconf,
+  libctl-dev (>= 3.2.2-2), 
+  pkg-config, 
+  libharminv-dev (>= 1.1), 
+  zlib1g-dev, libfftw3-dev, 
+  libhdf5-openmpi-dev, 
+  libgsl0-dev, 
+  liblapack-dev, 
+  libopenmpi-dev, 
+  libatlas-base-dev, 
+  chrpath
+Standards-Version: 3.9.5
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep-openmpi
@@ -36,7 +49,7 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of 
  libhdf5. 
 
-Package: libmeep-openmpi6
+Package: libmeep-openmpi7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -68,8 +81,8 @@
 Package: libmeep-openmpi-dev
 Section: libdevel
 Architecture: any
-Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev
-Depends: libmeep-openmpi6 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
+Depends: libmeep-openmpi7 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
#export DH_OPTIONS

install_file    = /usr/bin/install -p -o root -g root -m 644
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/openmpi
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi
endif

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl3 \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	mv configure configure.org
	cat configure.org | \
	        sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-openmpi'/g" |\
		sed "s/PACKAGE='meep'/PACKAGE='meep-openmpi'/g" > configure
	chmod 755 configure
	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	# cleanup for later builds
	if test -f configure.org; then mv configure.org configure; fi
	dh_installchangelogs NEWS
	dh_auto_install
	mv debian/tmp/usr/include/meep-openmpi debian/tmp/usr/include/meep
	
override_dh_clean:
	# we do not need this anymore
	rm -f tests/latest_output
	dh_clean

override_dh_auto_test:
	echo "tests disabled for now"
	#-make check
	#cat tests/test-suite.log

## meep-openmpi 1.3

=== debian/changelog ===
meep-openmpi (1.3-3build4) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:30 +0000

meep-openmpi (1.3-3build3) zesty; urgency=medium

  * Rebuild against new hdf5

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 17:52:11 +0000

meep-openmpi (1.3-3build2) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:37:24 +0000

meep-openmpi (1.3-3build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:56:49 +0000

meep-openmpi (1.3-3) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg for the patch. (Closes: #807215)
  * debian/rules: put correct path to --with-libctl

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 20 Dec 2015 19:00:00 +0100

meep-openmpi (1.3-2) unstable; urgency=medium

  * debian/control: add conflict with old version of libs (Closes: #790749)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Jul 2015 09:20:00 +0200

meep-openmpi (1.3-1) unstable; urgency=medium

  * new upstream version 
  * soname changed to 8
  * debian/control: Standards Version to 3.9.6. (No changes needed).

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Jun 2015 14:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: meep-openmpi
 Section: science
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran, 
   debhelper (>= 9), 
   autotools-dev, 
@@ -11,12 +12,12 @@
   libharminv-dev (>= 1.1), 
   zlib1g-dev, libfftw3-dev, 
   libhdf5-openmpi-dev, 
-  libgsl0-dev, 
+  libgsl-dev, 
   liblapack-dev, 
   libopenmpi-dev, 
   libatlas-base-dev, 
   chrpath
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep-openmpi
@@ -49,8 +50,9 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of 
  libhdf5. 
 
-Package: libmeep-openmpi7
+Package: libmeep-openmpi8
 Section: libs
+Conflicts: libmeep-openmpi6, libmeep-openmpi7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -82,7 +84,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi8 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.

## meep-openmpi 1.7.0

=== debian/changelog ===
meep-openmpi (1.7.0-3) sid; urgency=medium

  * debian/*postinst debian/*prerm: add correct package name
              (Closes: #918858)
              Thanks to Peter Green and Andreas Beckmann for their hints
  * debian/control: update description according to upstream wishes
  * debian/control: update homepage
  * debian/control: Standards Version to 4.3.0. (No changes needed).
  * debian/copyright: update Upstream-Source:

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Feb 2019 19:00:00 +0100

meep-openmpi (1.7.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 25 Dec 2018 15:28:26 +0100

meep-openmpi (1.7.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: use dh11
  * debian/control: Standards Version to 4.2.1. (No changes needed).
  * debian/control: use libctl>=4.1.4-2
  * debian/control: add swig dependency
  * debian/control: remove dependencies: autotools-dev, dh-autoreconf
  * debian/control: depend on newest libctl and thus on guile2.2
                    (Closes: #885228)
  * debian/control: depend on newest libharminv
  * debian/control: add salsa VCS URLs
  * debian/control: bump SONAME to 12
  * debian/control: upstream does not support parallel installation of
                    serial and MPI version any longer
                    add conflicts accordingly
  * debian/rules: add --enable-maintainer-mode to configure flags
  * debian/rules: enable hardening flags
  * update debian/watch

  [ Ruben Undheim ]
  * add python package

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 22 Dec 2018 19:28:26 +0100

=== debian/control ===
Source: meep-openmpi
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran
	, debhelper (>= 11)
	, libctl-dev (>= 4.1.4-2)
	, pkg-config
	, libharminv-dev (>= 1.4.1)
	, zlib1g-dev
	, libfftw3-dev
	, libhdf5-openmpi-dev
	, libgsl-dev
	, liblapack-dev
	, libopenmpi-dev
	, libatlas-base-dev
	, chrpath
	, swig
        , python-dev
        , python-numpy
        , python-h5py
	, openmpi-bin
Standards-Version: 4.3.0
Homepage: https://meep.readthedocs.i
Vcs-Browser: https://salsa.debian.org/alteholz/meep-openmpi
Vcs-Git: https://salsa.debian.org/alteholz/meep-openmpi.git

Package: meep-openmpi
Architecture: any
Depends: ${shlibs:Depends}, openmpi-bin, ${misc:Depends}
Description: software package for FDTD simulation, parallel (OpenMPI) version
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the MPI version of the software.
 As opposed to meep-mpi this package also contains the OpenMPI version of
 libhdf5.

Package: libmeep-openmpi12
Section: libs
Conflicts: libmeep-openmpi6, libmeep-openmpi7, libmeep-openmpi8
	, libmeep-lam4-6, libmeep-lam4-7, libmeep-lam4-8, libmeep-lam4-12
	, libmeep-mpi-default6, libmeep-mpi-default7, libmeep-mpi-default8, libmeep-mpi-default12
	, libmeep-mpich2-6, libmeep-mpich2-7, libmeep-mpich2-8, libmeep-mpich2-12
	, libmeep6, libmeep7, libmeep8, libmeep10, libmeep12
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for using parallel (OpenMPI) version of meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the MPI version of the library.

Package: libmeep-openmpi-dev
Section: libdevel
Architecture: any
Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
Depends: libmeep-openmpi12 (= ${binary:Version}), ${misc:Depends}
Description: development library for using parallel (OpenMPI) version of meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains some files for developing software linked to MPI.

Package: python-meep-openmpi
Section: python
Architecture: any
Depends: libmeep-openmpi12 (= ${binary:Version})
        , ${misc:Depends}
        , ${shlibs:Depends}
        , python-numpy
        , python
Description: software package for FDTD simulation with Python
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the Python binding

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
#export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

install_file    = /usr/bin/install -p -o root -g root -m 644
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/openmpi
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi
endif

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes \
	--enable-maintainer-mode

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_installchangelogs NEWS.md
	dh_auto_install
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyc
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyo
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.a
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.la
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyc
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyo
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.a
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.la
	
override_dh_clean:
	# we do not need this anymore
	rm -f tests/latest_output
	dh_clean

override_dh_auto_test:
	echo ${arch}
	#if [ "${arch}" = "armel" ] || \
	#   [ "${arch}" = "mips" ] || \
	#   [ "${arch}" = "mipsel" ] || \
	#   [ "${arch}" = "powerpc" ] || \
	#   [ "${arch}" = "sparc" ] ; then \
	#  echo "Do not make tests on this architecture" ;\
	#else \
	#  echo "Do make tests on this architecture" ;\
	#  make check; \
	#  find; \
	#  cat python/test-suite.log; \
	#fi
	# check whether testsuite runs everywhere
	make check; \
	cat tests/test-suite.log
#	cat python/test-suite.log

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%meep-$1.tar.gz%" \
    https://github.com/stevengj/meep/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## meep-openmpi 1.12.0

=== debian/changelog ===
meep-openmpi (1.12.0-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:37 +0100

meep-openmpi (1.12.0-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:36:48 +0000

meep-openmpi (1.12.0-3) unstable; urgency=medium

  * upload to unstable
  * debian/control: change dependency from atlas to libblas-dev
                    (see MBF Mail and #943712)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Dec 2019 19:47:30 +0100

meep-openmpi (1.12.0-2) experimental; urgency=medium

  * debian/control: bump SONAME to 17
  * debian/control: depend on libctl >= 4.4.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Dec 2019 11:00:53 +0100

meep-openmpi (1.12.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Nov 2019 20:00:53 +0100

meep-openmpi (1.11.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump SONAME to 16
  * debian/control: bump standard to 4.4.1 (no changes)
  * debian/control: use dh12
  * add "Build-Depends: libgdsii-dev"
    Thanks to Ruben for the suggestion.
  * disable tests on some architectures
    (they still last too long)
  * build python3 package (Closes: #937007)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Oct 2019 20:58:50 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 11)
-	, libctl-dev (>= 4.1.4-2)
+	, debhelper (>= 12)
+	, libctl-dev (>= 4.4.0)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -13,13 +13,14 @@
 	, libgsl-dev
 	, liblapack-dev
 	, libopenmpi-dev
-	, libatlas-base-dev
+	, libblas-dev
 	, chrpath
 	, swig
-        , python-dev
-        , python-numpy
-        , python-h5py
+        , python3-dev
+        , python3-numpy
+        , python3-h5py
 	, openmpi-bin
+	, libgdsii-dev
 Standards-Version: 4.3.0
 Homepage: https://meep.readthedocs.i
 Vcs-Browser: https://salsa.debian.org/alteholz/meep-openmpi
@@ -28,6 +29,7 @@
 Package: meep-openmpi
 Architecture: any
 Depends: ${shlibs:Depends}, openmpi-bin, ${misc:Depends}
+Recommends: libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3
 Description: software package for FDTD simulation, parallel (OpenMPI) version
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -61,13 +63,38 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of
  libhdf5.
 
-Package: libmeep-openmpi12
+Package: libmeep-openmpi17
 Section: libs
-Conflicts: libmeep-openmpi6, libmeep-openmpi7, libmeep-openmpi8
-	, libmeep-lam4-6, libmeep-lam4-7, libmeep-lam4-8, libmeep-lam4-12
-	, libmeep-mpi-default6, libmeep-mpi-default7, libmeep-mpi-default8, libmeep-mpi-default12
-	, libmeep-mpich2-6, libmeep-mpich2-7, libmeep-mpich2-8, libmeep-mpich2-12
-	, libmeep6, libmeep7, libmeep8, libmeep10, libmeep12
+Conflicts: libmeep-openmpi6
+	, libmeep-openmpi7
+	, libmeep-openmpi8
+	, libmeep-openmpi12
+	, libmeep-openmpi16
+	, libmeep-lam4-6
+	, libmeep-lam4-7
+	, libmeep-lam4-8
+	, libmeep-lam4-12
+	, libmeep-lam4-16
+	, libmeep-lam4-17
+	, libmeep-mpi-default6
+	, libmeep-mpi-default7
+	, libmeep-mpi-default8
+	, libmeep-mpi-default12
+	, libmeep-mpi-default16
+	, libmeep-mpi-default17
+	, libmeep-mpich2-6
+	, libmeep-mpich2-7
+	, libmeep-mpich2-8
+	, libmeep-mpich2-12
+	, libmeep-mpich2-16
+	, libmeep-mpich2-17
+	, libmeep6
+	, libmeep7
+	, libmeep8
+	, libmeep10
+	, libmeep12
+	, libmeep16
+	, libmeep17
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -105,7 +132,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi12 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi17 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -137,14 +164,14 @@
  .
  This package contains some files for developing software linked to MPI.
 
-Package: python-meep-openmpi
+Package: python3-meep-openmpi
 Section: python
 Architecture: any
-Depends: libmeep-openmpi12 (= ${binary:Version})
+Depends: libmeep-openmpi17 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
-        , python-numpy
-        , python
+        , python3-numpy
+        , python3
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.

=== debian/rules ===
--- 
+++ 
@@ -34,14 +34,18 @@
 override_dh_auto_install:
 	dh_installchangelogs NEWS.md
 	dh_auto_install
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyc
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyo
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.a
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.la
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyc
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyo
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.a
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.la
+	find
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.pyc
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.pyo
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.a
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.la
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyc
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyo
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.a
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.la
+	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/__pycache__/
+	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/adjoint/__pycache__/
+
 	
 override_dh_clean:
 	# we do not need this anymore
@@ -49,20 +53,19 @@
 	dh_clean
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo ${arch}
-	#if [ "${arch}" = "armel" ] || \
-	#   [ "${arch}" = "mips" ] || \
-	#   [ "${arch}" = "mipsel" ] || \
-	#   [ "${arch}" = "powerpc" ] || \
-	#   [ "${arch}" = "sparc" ] ; then \
-	#  echo "Do not make tests on this architecture" ;\
-	#else \
-	#  echo "Do make tests on this architecture" ;\
-	#  make check; \
-	#  find; \
-	#  cat python/test-suite.log; \
-	#fi
-	# check whether testsuite runs everywhere
-	make check; \
-	cat tests/test-suite.log
-#	cat python/test-suite.log
+	if [ "${arch}" = "armel" ] || \
+           [ "${arch}" = "riscv64" ] || \
+           [ "${arch}" = "hurd-i386" ] ; then \
+	  echo "Do not make tests on this architecture" ;\
+	else \
+	  echo "Do make tests on this architecture" ;\
+	  make check; \
+	  find; \
+	  cat tests/test-suite.log; \
+	fi
+#	# check whether testsuite runs everywhere
+#	make check; \
+#	cat tests/test-suite.log
+endif

## meep-openmpi 1.17.1

=== debian/changelog ===
meep-openmpi (1.17.1-2build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:38:10 +0000

meep-openmpi (1.17.1-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 03 Feb 2021 00:07:37 +0100

meep-openmpi (1.17.1-1) unstable; urgency=medium

  * New upstream release
  * upload to unstable
  * soname bump from 22 to 23

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 29 Jan 2021 00:02:35 +0000

meep-openmpi (1.16.1-3) experimental; urgency=medium

  * upload to experimental
  * debian/control: depend on mpb/libctl built with guile-3.0
                    (Closes: #969685)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 14 Dec 2020 23:01:03 +0100

meep-openmpi (1.16.1-2) unstable; urgency=medium

  * upload source
  * debian/copyright: add m4 file

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 08 Dec 2020 23:01:03 +0100

meep-openmpi (1.16.1-1) unstable; urgency=medium

  * New upstream release (Closes: #961077)
  * debian/control: bump SONAME to 22
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: adjust Conflicts:

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Dec 2020 12:01:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: meep-openmpi
 Section: science
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 12)
-	, libctl-dev (>= 4.4.0)
+	, debhelper-compat (= 12)
+	, libctl-dev (>= 4.5.0-8)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -21,7 +22,8 @@
         , python3-h5py
 	, openmpi-bin
 	, libgdsii-dev
-Standards-Version: 4.3.0
+#	, python3-matplotlib
+Standards-Version: 4.5.0
 Homepage: https://meep.readthedocs.i
 Vcs-Browser: https://salsa.debian.org/alteholz/meep-openmpi
 Vcs-Git: https://salsa.debian.org/alteholz/meep-openmpi.git
@@ -29,6 +31,9 @@
 Package: meep-openmpi
 Architecture: any
 Depends: ${shlibs:Depends}, openmpi-bin, ${misc:Depends}
+Conflicts: meep-mpi-default
+        , meep-mpich2
+        , meep
 Recommends: libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3
 Description: software package for FDTD simulation, parallel (OpenMPI) version
  Meep is a free and open-source software package for electromagnetics
@@ -63,31 +68,39 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of
  libhdf5.
 
-Package: libmeep-openmpi17
+Package: libmeep-openmpi23
 Section: libs
 Conflicts: libmeep-openmpi6
 	, libmeep-openmpi7
 	, libmeep-openmpi8
 	, libmeep-openmpi12
 	, libmeep-openmpi16
+	, libmeep-openmpi17
+	, libmeep-openmpi22
 	, libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
 	, libmeep-lam4-12
 	, libmeep-lam4-16
 	, libmeep-lam4-17
+	, libmeep-lam4-22
+	, libmeep-lam4-23
 	, libmeep-mpi-default6
 	, libmeep-mpi-default7
 	, libmeep-mpi-default8
 	, libmeep-mpi-default12
 	, libmeep-mpi-default16
 	, libmeep-mpi-default17
+	, libmeep-mpi-default22
+	, libmeep-mpi-default23
 	, libmeep-mpich2-6
 	, libmeep-mpich2-7
 	, libmeep-mpich2-8
 	, libmeep-mpich2-12
 	, libmeep-mpich2-16
 	, libmeep-mpich2-17
+	, libmeep-mpich2-22
+	, libmeep-mpich2-23
 	, libmeep6
 	, libmeep7
 	, libmeep8
@@ -95,6 +108,8 @@
 	, libmeep12
 	, libmeep16
 	, libmeep17
+	, libmeep22
+	, libmeep23
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -132,7 +147,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi17 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi23 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -167,7 +182,7 @@
 Package: python3-meep-openmpi
 Section: python
 Architecture: any
-Depends: libmeep-openmpi17 (= ${binary:Version})
+Depends: libmeep-openmpi23 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,8 @@
 	echo ${arch}
 	if [ "${arch}" = "armel" ] || \
            [ "${arch}" = "riscv64" ] || \
+           [ "${arch}" = "mipsel" ] || \
+           [ "${arch}" = "mips64el" ] || \
            [ "${arch}" = "hurd-i386" ] ; then \
 	  echo "Do not make tests on this architecture" ;\
 	else \
